Page MenuHomePhabricator

If Javascript is disabled and an article doesn't have a talk page, we shouldn't show the talk page icon
Closed, ResolvedPublic

Description

If Javascript is disabled and an article doesn't have a talk page, we shouldn't show the talk page icon since users without Javascript can't create talk pages.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=71570

Details

Reference
bz67819

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:36 AM
bzimport set Reference to bz67819.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Jul 10 2014, 6:53 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/p2p2lEgY

Change 145411 had a related patch set uploaded by Florianschmidtwelzow:
Show talk button only when JS enabled or talk page not empty

https://gerrit.wikimedia.org/r/145411

Change 145411 merged by jenkins-bot:
Show talk button only when JS enabled or talk page not empty

https://gerrit.wikimedia.org/r/145411

Partially reverted in https://gerrit.wikimedia.org/r/165694

We need to think about how we can implement this much better with Flow :)

I forget the details of this but I say we just hide the button until JS is enabled. The non-JS experience of Flow doesn't work too well anyhow.

Change 184795 had a related patch set uploaded (by Bmansurov):
Add Talk button url

https://gerrit.wikimedia.org/r/184795

Patch-For-Review

Change 184795 merged by jenkins-bot:
Add Talk button url

https://gerrit.wikimedia.org/r/184795

Jdlrobson closed this task as Resolved.Jan 14 2015, 7:25 PM